Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.dtm
Class DTMNodeLocator

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.SimpleNodeLocator
            |
            +--weblogic.apache.xalan.xpath.dtm.DTMNodeLocator

public class DTMNodeLocator
extends SimpleNodeLocator

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DTMNodeLocator()` Create a DTMNodeLocator object.

Method Summary
`static XLocator` | `getDefaultLocator()` The default locator.

Methods inherited from class weblogic.apache.xalan.xpath.SimpleNodeLocator
`connect, connectToNodes, doPredicate, factory, findAncestors, findAncestorsOrSelf, findAttributes, findChildren, findDescendants, findFollowing, findFollowingSiblings, findNamespace, findNodeSet, findNodesOnUnknownAxis, findParent, findPreceding, findPrecedingSiblings, findRoot, findSelf, locationPath, locationPathPattern, nodeTest, predicate, predicates, query, step, stepPattern, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMNodeLocator

    public DTMNodeLocator()

  Create a DTMNodeLocator object.

Method Detail

### getDefaultLocator

    public static XLocator getDefaultLocator()

  The default locator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD